#ifndef __GENOME_MIXER_MARKER_COLLECTION__
#define __GENOME_MIXER_MARKER_COLLECTION__

#include "Chromosome.h"
#include <iostream>
#include <vector>

struct ChrDataStruct {
    string	name;
    long	location;
    float	cM;
    //double	selection;
};

class MarkerCollection {
    private:
	long				myTotalMarkers;
	std::vector< std::vector<ChrDataStruct> > data;

    public:
	MarkerCollection::MarkerCollection(unsigned int initCapacity); // constructor
	
	void    MarkerCollection::clearAllMarkerData(void);
	void    MarkerCollection::addMarker(int chr, string name, long loc, float cM);
	string	MarkerCollection::name(int chrIndex, long index);
	int	MarkerCollection::base(int chrIndex, long index);
	float   MarkerCollection::cM(int chrIndex, long index);
        //double MarkerCollection::selection_ref_fromIndex(int chrIndex, long index);
	
	int  MarkerCollection::markersForHowManyChr(void); // <-- this only counts up tht total number of chromosomes with markers
	
        int  MarkerCollection::numberOfChrs(void); // accessor (gives the total number of chromosomes in the collection, not just those with markers)
        long MarkerCollection::totalMarkers(void); // accessor
	long MarkerCollection::mostMarkersOnAnyChr(void);
        long MarkerCollection::markersInChr(int chrIndex); // accessor
	
        void printMarkerInfo(void);
};  // <-- remember the semicolon at the end of the class definition!


#endif


